=== modified file 'loggerhead/__init__.py'
--- loggerhead/__init__.py	2007-08-29 11:27:46 +0000
+++ loggerhead/__init__.py	2007-08-29 12:12:22 +0000
@@ -7,15 +7,15 @@
     return PageTemplate(os.path.join(_base, 'templates', name + '.pt'))
 
 
-def file_change_summary(url, entry):
+def file_change_summary(url, entry, links=True):
     pt = _pt('revisionfilechanges')
-    return pt.render(dict(url=url, entry=entry))
+    return pt.render(dict(url=url, entry=entry, links=links))
 
 def revisioninfo(url, branch, entry, includefilechanges=False):
     from loggerhead import util
     pt = _pt('revisioninfo')
     return pt.render(
         dict(url=url, change=entry, branch=branch, util=util,
-             includefilechanges=False,
+             includefilechanges=includefilechanges,
              file_change_summary=file_change_summary))
 

=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2007-08-23 16:03:35 +0000
+++ loggerhead/controllers/annotate_ui.py	2007-08-29 12:12:22 +0000
@@ -81,6 +81,9 @@
                 path = h.get_path(revid, file_id)
             filename = os.path.basename(path)
 
+            def url(pathargs, **kw):
+                return self._branch.url(pathargs, **util.get_context(**kw))
+
             vals = {
                 'branch': self._branch,
                 'util': util,
@@ -92,6 +95,7 @@
                 'navigation': navigation,
                 'change': h.get_changes([ revid ])[0],
                 'contents': list(h.annotate_file(file_id, revid)),
+                'url':url,
             }
             h.flush_cache()
             self.log.info('/annotate: %r secs' % (time.time() - z,))

=== modified file 'loggerhead/templates/navigation.pt'
--- loggerhead/templates/navigation.pt	2007-07-18 15:09:31 +0000
+++ loggerhead/templates/navigation.pt	2007-08-29 12:12:22 +0000
@@ -4,8 +4,8 @@
       <tr>
         <td>
           <span class="buttons">
-            <a href="${branch.url('/changes', **util.get_context(clear=1))}"> changes </a>
-            <a href="${branch.url('/files', **util.get_context(clear=1))}"> files </a>
+            <a tal:attributes="href python:url('/changes', clear=1)"> changes </a>
+            <a tal:attributes="href python:url('/files', clear=1)"> files </a>
             <span class="search">
               search: <input type="text" name="q" />
             </span>
@@ -23,7 +23,7 @@
             </span>
             <span tal:condition="not:navigation/prev_page_revid"> &#171; </span>
             revision <tal:b content="python:history.get_revno(revid)" />
-            (page
+            (<tal:b condition="python:navigation.pagesize > 1">page </tal:b>
             <tal:b content="navigation/page_position" /> / <tal:b content="navigation/page_count" />)
             <span tal:condition="navigation/next_page_revid">
               <a tal:attributes="href navigation/next_page_url" title="Next page"> &#187; </a>

=== modified file 'loggerhead/templates/revision.pt'
--- loggerhead/templates/revision.pt	2007-08-29 11:52:34 +0000
+++ loggerhead/templates/revision.pt	2007-08-29 12:12:22 +0000
@@ -106,21 +106,30 @@
     <table class="diff-option-buttons">
       <tr>
         <td>
-          ${collapse_all_button('file', 'table-row')}
+	  <a class="hide-all collapse-file-hideall"
+	     href="javascript:collapseAllDisplay('file','none')">
+	    <img tal:attributes="src python:tg.url('/static/images/nav-small-down.gif')"
+	         width="10" height="10" alt="collapse"
+	         class="collapse-triangle" />collapse all</a>
+	  <a class="hide-all collapse-file-showall"
+	     href="javascript:collapseAllDisplay('file','table-row')">
+	    <img tal:attributes="src python:tg.url('/static/images/nav-small-right.gif')"
+	         width="10" height="10" alt="expand"
+	         class="collapse-triangle" />expand all</a>
         </td>
 
         <td class="spacey">
           <a href="javascript:show_sbs()"
              class="hide-all collapse-style-sbs-show"
              title="collapse">
-            <img src="${tg.url('/static/images/nav-small-out.gif')}"
+            <img tal:attributes="src python:tg.url('/static/images/nav-small-out.gif')"
                  width="22" height="10" class="collapse-triangle" />
             show side by side
           </a>
           <a href="javascript:show_unified()"
              class="hide-all collapse-style-unified-show"
              title="expand">
-            <img src="${tg.url('/static/images/nav-small-in.gif')}"
+            <img tal:attributes="src python:tg.url('/static/images/nav-small-in.gif')"
                  width="22" height="10" class="collapse-triangle" />
             show unified diff
           </a>

=== modified file 'loggerhead/templates/revisionfilechanges.pt'
--- loggerhead/templates/revisionfilechanges.pt	2007-08-29 11:27:46 +0000
+++ loggerhead/templates/revisionfilechanges.pt	2007-08-29 12:12:22 +0000
@@ -75,11 +75,13 @@
           item/filename
         </a>
       </span>
-      &nbsp;
-      <a tal:attributes="href python:url(['/revision', entry.revid]) + '#' + item.filename" 
-         class="jump">
-        &#8594; diff
-      </a>
+      <tal:block condition="links">
+        &nbsp;
+        <a tal:attributes="href python:url(['/revision', entry.revid]) + '#' + item.filename" 
+           class="jump">
+          &#8594; diff
+        </a>
+      </tal:block>
     </td>
   </tr>
 </tal:block>

=== modified file 'loggerhead/templates/revisioninfo.pt'
--- loggerhead/templates/revisioninfo.pt	2007-08-29 11:27:46 +0000
+++ loggerhead/templates/revisioninfo.pt	2007-08-29 12:12:22 +0000
@@ -60,15 +60,14 @@
         </span>
       </td>
     </tr>
-    <tal:block condition="includefilechanges|nothing">
+    <tal:block condition="includefilechanges">
       <tr class="divider">
         <th>
         </th>
         <td>
         </td>
       </tr>
-      <tal:block define="entry change"
-                 content="structure here/revisionfilechanges.pt" />
+      <tal:block content="structure python:file_change_summary(url, change, False)" />
     </tal:block>
   </table>
 </div>

